Package org.eclipse.emf.cdo.server.db.mapping

## Interface IListMapping3

- All Superinterfaces:
    `IListMapping`, `IListMapping2`

      public interface IListMapping3
      extends IListMapping2

  Extension interface to `IListMapping2`.
  Since:
    4.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setClassMapping​(IClassMapping classMapping)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IListMapping

      `getDBTables, getFeature, objectDetached, queryXRefs, readChunks, readValues, writeValues`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IListMapping2

      `addRangedChunkWhere, addSimpleChunkWhere`

- - ### Method Detail

    - #### setClassMapping

          void setClassMapping​(IClassMapping classMapping)